import request from '@/config/axios'

// AI-虚拟实验室 VO
export interface VirtualDeviceVO {
  id: number // 主键
  name: string // 名称
  path: string // 图片
  jsonData: string // json数据
}

// AI-虚拟实验室 API
export const VirtualDeviceApi = {
  // 查询AI-虚拟实验室分页
  getVirtualDevicePage: async (params: any) => {
    return await request.get({ url: `/ai/virtual-device/page`, params })
  },

  // 查询AI-虚拟实验室详情
  getVirtualDevice: async (id: number) => {
    return await request.get({ url: `/ai/virtual-device/get?id=` + id })
  },

  // 新增AI-虚拟实验室
  createVirtualDevice: async (data: VirtualDeviceVO) => {
    return await request.post({ url: `/ai/virtual-device/create`, data })
  },

  // 修改AI-虚拟实验室
  updateVirtualDevice: async (data: VirtualDeviceVO) => {
    return await request.put({ url: `/ai/virtual-device/update`, data })
  },

  // 删除AI-虚拟实验室
  deleteVirtualDevice: async (id: number) => {
    return await request.delete({ url: `/ai/virtual-device/delete?id=` + id })
  },

  // 导出AI-虚拟实验室 Excel
  exportVirtualDevice: async (params) => {
    return await request.download({ url: `/ai/virtual-device/export-excel`, params })
  }
}